// Header file for NMAEfn

// Global variables for NMEA interface
extern volatile char speed[] ;             // quick storage for speed data
extern unsigned int time_Out ;             // set to 65535 before call to parseNMEA()

// Global variables not needed for NMEA interface
// extern volatile char field[12] ;           // temporary buffer for NMEA field
// extern volatile unsigned short errorF ;    // flag > 0 if string runout error
// extern volatile unsigned short checksum ;  // running checksum from NMEA input

// Function Prototypes for interface
void initNMEA(void) ;            // init UART and variables
unsigned short parseNMEA(void) ; // parse NMEA, return 0 if no errors, see time_Out above
void copySpeed(char *) ;         // copy field[12] or cal value to speed[] up to '\0' terminator
unsigned int strToInt(char *)  ; // returns integer value of argument, times 100 to lose DP

// Internal function Prototypes, not needed for interface
// unsigned short waitChar(void) ;  // wait for byte from UART
// char getField(char, char) ;      // call waitChar() until delimiter, or runout
// void waitHdr(void) ;             // call waitByte() until match for "$GPRMC,"
// unsigned short HexDigit(char) ;  // return ASCII hex nibble to number
// unsigned short getHexNum(void) ; // return field[0...1] as number