// ST60 LOG SPEED SIMULATOR FUNCTIONS
// Copyright Dec 2015 by Nigel Mercier www.mercier.org.uk

#include "typedefs.h"      // typedef unsigned short int byte;
#include "ST60LogEm.h"
#include "NMEAfn.h"

void configPWM(void)
{
  // bit plan  0b76543210
  PWM2CON =    0b00001000 ; // b7 EN, b6 OE, b3-2 Toggle~Match mode (10)(DS P201)
  PWM2CLKCON = 0b00000010 ; // b6-4 PS prescaler 1 (000), b1-0 CS LFINTOSC (10)  (DS P203)
  PWM2PR = 65535 ;          // initial value gives long period
  PWM2LDCON =  0b10000010 ; // b7=1 LDA, b6=0 LDT load on trigger disabled  (DS P204)
  PWM2OFCON =  0b00000000 ; // b6-5 OFM 00 Independent Run Mode
  PWM2PH = 0 ;              // clear phase, duty cycle has no influence in this mode
  P2SEL_bit = 1 ;           // APFCON b2 direct PWM2 output -> alternate pin RA4       (DS P102)
  PWM2CON.PWM2EN = 1 ;      // enable PWM2
  PWM2CON.PWM2OE = 1 ;      // enable output
}

void delayX25ms(byte n)
{
  byte i ;
  for (i = 0 ; i < n ; i++)
    Delay_ms(25) ;
}

unsigned int round_div(unsigned long int dividend, unsigned int divisor)
{
    return (dividend + (divisor / 2)) / divisor;
}